iOS 10 ignore disabled Zoom
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.4   

Description

With r14819 we disabled zoom on mobile devices. This has stopped working for iOS devices running iOS 10 as maximum-scale=1 is

being ignored (see also here: 

https://medium.com/@johan_ronsse/re-apple-disabling-maximum-scale-behavior-on-responsive-websites-in-ios10-17bc7b0f27c0#.rk

ul46vzf)

Adding user-scalable=no to the viewport meta tag achieves our wanted behaviour also on iOS 10 and therefore fixes this issue.

Attached you will find the according patch.

Associated revisions

Revision 15849 - 2016-10-01 09:45 - Jean-Philippe Lang

Set user-scalable=no in viewport meta tag (#23883).

Patch by Felix Gliesche.

Revision 15873 - 2016-10-02 12:20 - Jean-Philippe Lang

Merged r15849 (#23883).

Revision 15874 - 2016-10-02 12:20 - Jean-Philippe Lang

Merged r15849 (#23883).

History

#1 - 2016-09-21 19:22 - Toshi MARUYAMA

- Target version set to 3.2.4

#2 - 2016-10-01 09:45 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#3 - 2016-10-02 12:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

0001-Set-user-scalable-no-in-viewport-meta-tag.patch 987 Bytes 2016-09-21 Felix Gliesche
